Starmade | Error handling for version mismatch and missing uplink insufficient
Confirmed task for development, HighPublic

Description

If trying to connect with an incompatible version you do not get any notification about it on client side.
It will hand on "Connecting to world" while the log clearly already contains the socket has been closed.

Similar behaviour for non-uplinked users trying to link to a server with required uplink.

Details

Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.199.491
Category
Engine
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce
  • open server list
  • uncheck "compatible only"
  • connect to incompatible server

This throws a warning.

  • use continue last game

Does not give a warning, and just gets stuck loading

Tester information (Internal use only)

Not fixed.
This only happens if you use Continue Last Play option, using the server list to join is fine.
See steps to reproduce.

AndyP created this task.Jun 11 2016, 8:43 PM
AndyP added a comment.Jun 11 2016, 8:43 PM

-Validated-
-Confirmed-

Restricted Application removed a project: Issue Navigation. · View Herald TranscriptJun 11 2016, 8:43 PM
lancake raised the priority of this task from "Urgent" to "Release Blocker".
AndyP lowered the priority of this task from "Release Blocker" to "Urgent".Aug 22 2016, 7:06 AM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 10 2017, 2:09 AM
schema added a subscriber: schema.

Cannot reproduce. Tried higher version to join lower version game both uplinked and not uplinked.

Maybe got fixed along the way.

Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptMar 10 2017, 2:09 AM
Restricted Application added a project: Engine. · View Herald TranscriptMar 10 2017, 6:12 PM
AndyP edited projects, added Engine (Configuration); removed Engine.
lancake changed the task status from "Resolved" to "In Queue".Mar 27 2017, 2:48 PM
lancake added a subscriber: lancake.

-QA Testing-

Not fixed.
This only happens if you use Continue Last Play option, using the server list to join is fine.
See steps to reproduce.

Restricted Application edited projects, added Game Development, QA-Return; removed Quality Assurance. · View Herald TranscriptMar 27 2017, 2:48 PM
lancake edited Tester information (Internal use only). (Show Details)Mar 27 2017, 2:48 PM
lancake set Last tested (version) to 0.199.491.
lancake lowered the priority of this task from "Urgent" to "High".Apr 23 2017, 6:24 PM

I can't reliably reproduce it anymore, only got it once now and the exact same steps don't trigger the issue again.